#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, j, s, ii = 0; vector<int> vn, resa, resb;
    cin >> n;
    for (int i = 0; i < 2 * n; i++) {
        vn[i] = i + 1;
    }
    s = vn.size();
    for (int i = 0; i < n / 2; i += 2) {
        j = (s - 1) - i;
        resa[i] = vn[i];
        resa[i + 1] = vn[j];
    }
    j = (s - 1) - n / 2;
    if (n % 2 == 0) {
        for (int i = n / 2; i < (2 * n) / 2; i += 2) {
        resb[ii] = vn[i];
        resb[ii + 1] = vn[j];
        ii++;
        j--;
        }
    }
    for (int i = 0; i < resa.size(); i++) {
        cout << resa[i] << " ";
    }
    cout << '\n';
    for (int i = 0; i < resb.size(); i++) {
        cout << resb[i] << " ";
    }
}